> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset types used by the organization

> Retrieves the non-repeated dataset types of all the products of the user's organization, or of the given products (403 if any is not readable). A MEMBER gets the types of the products their user groups grant. See [Datasets](https://docs.galtea.ai/concepts/product/dataset).

> [!WARNING]
>
> You are reading the docs of Galtea 5.17. [Read this page in the latest version](https://docs.galtea.ai/api-reference/datasets/get-dataset-types-used-by-the-organization.md).


## OpenAPI

````yaml /v5.17/openapi.json get /tests/types
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /tests/types:
    get:
      tags:
        - datasets
      summary: Get dataset types used by the organization
      description: >-
        Retrieves the non-repeated dataset types of all the products of the
        user's organization, or of the given products (403 if any is not
        readable). A MEMBER gets the types of the products their user groups
        grant. See [Datasets](https://docs.galtea.ai/concepts/product/dataset).
      operationId: getDatasetTypes
      parameters:
        - name: productIds
          in: query
          style: form
          explode: true
          description: Filter by product IDs
          required: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: Dataset types retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  types:
                    type: array
                    items:
                      type: string
                    example:
                      - QUALITY
                      - RED_TEAMING
                      - SCENARIOS
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: A requested product is not readable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: A requested product does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.